/*	Sample program for Olimex AVR-P40-USB with ATMega16 processor
 *	Blink Led
 *	Compile with AVRStudio+WinAVR (gcc version 3.4.6) */

#define	__AVR_ATmega16__	1

#include "avr/io.h"

void PORT_Init()
{
	PORTB = 0b00000000;
	DDRB  = 0b00000001;		//set Led as output
}

int main()
{
	unsigned int i, j;
	PORT_Init();
	while (1)
	{
		PORTB = PORTB | 0b00000001;
		for (i=50000; i; i--);
		PORTB = PORTB & 0b11111110;
		for (i=50000; i; i--);
	}
}
